import {UserConfig} from "@/types/config";

/**
 * 客户端
 */
export const CLIENT_TYPE = 'MINI_PROGRAM'

/**
 * 小程序用户配置
 */
export const MINI_PROGRAM_USER_CONFIG: Record<MiniProgramUserIdentity, UserConfig> = {
  police: {
    toIndex: '/pages/police/index/index',
    tabBarList: [
      {
        pagePath: 'pages/police/index/index',
        text: '首页',
        iconPath: "assets/mine/punch.png",
        selectedIconPath: "assets/mine/punch-active.png"
      },
      {
        pagePath: 'pages/police/mine/index',
        text: '警察我的',
        iconPath: "assets/mine/my.png",
        selectedIconPath: "assets/mine/my-active.png"
      },
    ]
  },
  project_manager: {
    toIndex: '/pages/projectManager/index/index',
    tabBarList: [
      {
        pagePath: 'pages/projectManager/index/index',
        text: '首页',
        iconPath: "assets/mine/punch.png",
        selectedIconPath: "assets/mine/punch-active.png"
      },
      {
        pagePath: 'pages/projectManager/mine/index',
        text: '项目经理我的',
        iconPath: "assets/mine/my.png",
        selectedIconPath: "assets/mine/my-active.png"
      },
    ]
  }
}
