package com.changhu.module.management.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.changhu.module.management.pojo.entity.EnterprisesUnit;
import com.changhu.module.management.pojo.queryParams.EnterprisesUnitPagerQueryParams;
import com.changhu.module.management.pojo.queryParams.PoliceEnterprisesUnitPagerQueryParams;
import com.changhu.module.management.pojo.vo.EnterprisesUnitPagerVo;
import com.changhu.module.management.pojo.vo.PoliceEnterprisesUnitPagerVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * enterprises_unit (企事业单位)  固化类
 * author: luozhun
 * desc 由groovy脚本自动生成
 */
@Mapper
public interface EnterprisesUnitMapper extends BaseMapper<EnterprisesUnit> {

    /**
     * 分页查询
     *
     * @param page   分页参数
     * @param params 查询参数
     * @return 结果
     */
    Page<EnterprisesUnitPagerVo> pager(@Param("page") Page<EnterprisesUnitPagerVo> page,
                                       @Param("params") EnterprisesUnitPagerQueryParams params);

    /**
     * 公安单位下的企事业单位分页
     *
     * @param page   分页对象
     * @param params 查询参数
     * @return 结果
     */
    Page<PoliceEnterprisesUnitPagerVo> policeEnterprisesUnitPager(@Param("page") Page<PoliceEnterprisesUnitPagerVo> page,
                                                                  @Param("params") PoliceEnterprisesUnitPagerQueryParams params);
}
