package com.changhu.module.management.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.changhu.module.management.pojo.params.ManagementPoliceUserSaveOrUpdateParams;
import com.changhu.module.management.pojo.queryParams.ManagementPoliceUnitUserPagerQueryParams;
import com.changhu.module.management.pojo.queryParams.PoliceEnterprisesUnitPagerQueryParams;
import com.changhu.module.management.pojo.vo.ManagementPoliceUnitUserPagerVo;
import com.changhu.module.management.pojo.vo.PoliceEnterprisesUnitPagerVo;
import com.changhu.support.mybatisplus.pojo.params.PageParams;

/**
 * @author 20252
 * @createTime 2024/9/11 上午9:59
 * @desc MPoliceService...
 */
public interface PoliceService {
    /**
     * 新增或保存后台用户
     *
     * @param params 参数
     */
    void userSaveOrUpdate(ManagementPoliceUserSaveOrUpdateParams params);

    /**
     * 后台用户分页查询
     *
     * @param queryParams 查询参数
     * @return 结果
     */
    Page<ManagementPoliceUnitUserPagerVo> userPager(PageParams<ManagementPoliceUnitUserPagerQueryParams, ManagementPoliceUnitUserPagerVo> queryParams);

    /**
     * 根据id删除后台用户
     *
     * @param managementPoliceUnitUserId 后台用户id
     */
    void userDeleteById(Long managementPoliceUnitUserId);

    /**
     * 公安单位下的企事业单位分页
     *
     * @param queryParams 查询参数
     * @return 结果
     */
    Page<PoliceEnterprisesUnitPagerVo> enterprisesUnitPager(PageParams<PoliceEnterprisesUnitPagerQueryParams, PoliceEnterprisesUnitPagerVo> queryParams);
}
