package com.changhu.module.miniProgram.service;

import com.changhu.module.miniProgram.pojo.params.SaveOrUpdateSecurityUserParams;
import com.changhu.module.miniProgram.pojo.vo.IndexServiceProjectListVo;
import jakarta.servlet.http.HttpServletResponse;
import org.springframework.core.io.Resource;
import org.springframework.http.ResponseEntity;

import java.util.List;

/**
 * @author 20252
 * @createTime 2024/9/10 下午3:49
 * @desc ProjectManageIndexService...
 */
public interface ProjectManageIndexService {
    /**
     * 获取我的服务项目
     *
     * @return 服务项目列表
     */
    List<IndexServiceProjectListVo> getMyServiceProjectList();

    /**
     * 根据id删除保安人员
     *
     * @param securityUserId 保安人员id
     */
    void deleteSecurityUserByServiceProjectId(Long securityUserId);

    /**
     * 保存或更新保安人员
     *
     * @param params 保安人员参数
     */
    void saveOrUpdateSecurityUser(SaveOrUpdateSecurityUserParams params);

    /**
     * 分享表单录入的二维码
     */
    ResponseEntity<Resource> shareForm_QR_Code(String path, Integer width);
}
