import {SystemMenu} from "@/types/config";

export const CLIENT_TYPE = "MANAGEMENT_SUPER";
export const ROUTER_WHITE_LIST: string[] = ['/login', '/test'];
export const UNIT_TYPE = {
    security: 'SECURITY_UNIT',  //安全
    police: 'POLICE_UNIT'   //警察
}

export const SYSTEM_MENUS: SystemMenu[] = [
    {
        title: '首页',
        name: 'index',
        path: '/index',
        type: "menu",
        component: () => import('@/views/index.vue')
    }, {
        title: '单位管理',
        name: 'unitManage',
        path: '/unitManage',
        type: 'dir',
        children: [
            {
                title: '公安单位',
                name: 'policeUnit',
                path: '/policeUnit',
                type: 'menu',
                // icon: 'icon-policeman-full',
                // size: '16',
                component: () => import('@/views/unitManage/policeUnit/index.vue')
            }, {
                title: '保安单位',
                name: 'securityUnit',
                path: '/securityUnit',
                type: 'menu',
                component: () => import('@/views/unitManage/securityUnit/index.vue')
            }
        ]
    }
]
